> For the complete documentation index, see [llms.txt](https://docs.ilert.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ilert.com/developer-docs/client-libraries/go-client.md).

# Go Client

Our open source client is available under MIT and Apache 2.0 License. It is also the backend of our Terraform provider.

You can find the official ilert Go client on our Github organization: <https://github.com/iLert/ilert-go>

Install as usual via `import ("github.com/iLert/ilert-go")`

```go
package main

import (
	"fmt"
	"log"
	"github.com/iLert/ilert-go"
)

func main() {

	var org = "your organization"
	var username = "your username"
	var password = "your password"	
	client := ilert.NewClient(ilert.WithBasicAuth(org, username, password))
	
	result, err := client.GetAlertSources(&ilert.GetAlertSourcesInput{})
	if err != nil {
		log.Println(result)
		log.Fatalln("ERROR:", err)
	}
	
	log.Println(fmt.Sprintf("Found %d alert sources\n\n ", len(result.AlertSources)))
	for _, alertSource := range result.AlertSources {
		log.Println(fmt.Sprintf("%+v\n", *alertSource))
	}
}
```

Please feel free to [reach out to us](/knowledge-base/contact.md) with a Github issue in case you need help or have feature requests.[<br>](/developer-docs/client-libraries/client-libraries.md)\\


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ilert.com/developer-docs/client-libraries/go-client.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
